<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title> Register</title>
</head>

<body>
<h2>Register Page From Beers</h2>
<p>
    <i th:if="${error != null}" th:text="${error}" class="error"/>
</p>
<form action="#" th:action="@{/register}" th:object="${user}" method="post">
    <label>Username:</label>
    <br/>
    <input type="text" th:field="*{userName}"/>
    <br/>
    <label>Password:</label>
    <br/>
    <input type="password" th:field="*{password}"/>
    <br/><br/>
    <input type="submit" value="Register"/>
</form>
<h3>
    <a th:href="@{/login}">Login</a>
</h3>
</body>
</html>
